<ion-split-pane contentId="main">
  <!--  the side menu  -->
  <ion-menu contentId="main" menuId="custom">
    <ion-header>
      <ion-toolbar>
        <ion-title>Menu</ion-title>
      </ion-toolbar>
    </ion-header>
    <ion-content class="contaentClass">
      <ion-list class="listClass">
        <ion-menu-toggle auto-hide="true">
          <ion-item no-padding lines="full" class="listItem" [routerLink]="[ '/home']">
            <ion-grid no-padding class="listGrid">
              <ion-row>
                <ion-col size="2">
                  <ion-icon [ngStyle]="{'color':itemColor}" class="listIcon" name="list"></ion-icon>
                </ion-col>
                <ion-col size="8" class="allColPos">
                  <p class="textPara">
                    Accueil
                  </p>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-item>
          <ion-item no-padding lines="full" class="listItem" [routerLink]="[ '/calendar']">
            <ion-grid no-padding class="listGrid">
              <ion-row>
                <ion-col size="2">
                  <ion-icon [ngStyle]="{'color':itemColor}" class="listIcon" name="list"></ion-icon>
                </ion-col>
                <ion-col size="8" class="allColPos">
                  <p class="textPara">
                    Calendrier
                  </p>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-item>
          <ion-item no-padding lines="full" class="listItem" [routerLink]="[ '/taches']">
            <ion-grid no-padding class="listGrid">
              <ion-row>
                <ion-col size="2">
                  <ion-icon [ngStyle]="{'color':itemColor}" class="listIcon" name="list"></ion-icon>
                </ion-col>
                <ion-col size="8" class="allColPos">
                  <p class="textPara">
                    Taches
                  </p>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-item>
          <ion-item no-padding lines="full" class="listItem" [routerLink]="[ '/projets']">
            <ion-grid no-padding class="listGrid">
              <ion-row>
                <ion-col size="2">
                  <ion-icon [ngStyle]="{'color':itemColor}" class="listIcon" name="list"></ion-icon>
                </ion-col>
                <ion-col size="8" class="allColPos">
                  <p class="textPara">
                    Projets
                  </p>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-item>
          <ion-item no-padding lines="full" class="listItem" [routerLink]="[ '/categories']">
            <ion-grid no-padding class="listGrid">
              <ion-row>
                <ion-col size="2">
                  <ion-icon [ngStyle]="{'color':itemColor}" class="listIcon" name="list"></ion-icon>
                </ion-col>
                <ion-col size="8" class="allColPos">
                  <p class="textPara">
                    Categories
                  </p>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-item>
          <ion-item no-padding lines="full" class="listItem" [routerLink]="[ '/parameter']">
            <ion-grid no-padding class="listGrid">
              <ion-row>
                <ion-col size="2">
                  <ion-icon [ngStyle]="{'color':itemColor}" class="listIcon" name="list"></ion-icon>
                </ion-col>
                <ion-col size="8" class="allColPos">
                  <p class="textPara">
                    Parametres
                  </p>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-item>
        </ion-menu-toggle>

        

      </ion-list>
    </ion-content>
  </ion-menu>

  <!-- the main content -->
  <ion-router-outlet id="main"></ion-router-outlet>
</ion-split-pane>